Subject: RE: Unable to get MAN pages to work/BASH shell colors
From: "Joe Malin" <[email-masked]>
To: Strohhäcker, Bernd <[email-masked]>
Cc: "CYGWIN Mailing List" <[email-masked]>
Date: Wed, 23 May 2001 19:02:30 -0700

I did as you suggested.

"mount" gives me

C:\cygwin\bin on /usr/bin type system (textmode)
C:\cygwin\lib on /usr/lib type system (textmode)
C:\cygwin on / type system (textmode)
c: on /cygdrive/c type user (textmode,noumount)
d: on /cygdrive/d type user (textmode,noumount)
f: on /cygdrive/f type user (textmode,noumount)
g: on /cygdrive/g type user (textmode,noumount)

man -d gives me

Reading config file /usr/lib/man.conf
found man directory /usr/man
found man directory /usr/local/man
found man directory /usr/X11R6/man
found manpath map /bin --> /usr/man
found manpath map /sbin --> /usr/man
found manpath map /usr/bin --> /usr/man
found manpath map /usr/sbin --> /usr/man
found manpath map /usr/local/bin --> /usr/local/man
found manpath map /usr/X11R6/bin --> /usr/X11R6/man
found manpath map /usr/bin/X11 --> /usr/X11R6/man
found manpath map /usr/bin/mh --> /usr/man

using less -is as pager
What manual page do you want?

I assume that "man gcc" should work because

$ ls /usr/man/man1/gcc*
/usr/man/man1/gcc.1

is listed.

-----Original Message-----
From: Strohhäcker, Bernd [mailto:[email-masked]]
Sent: Wednesday, May 23, 2001 2:42 AM
To: 'Joe Malin'
Subject: AW: Unable to get MAN pages to work/BASH shell colors

First check mountings with 'mount':
You should have something like:

C:\cygwin\bin on /usr/bin type user (textmode)
C:\cygwin\lib on /usr/lib type user (textmode)
C:\cygwin on / type user (textmode)

The last one's most important.

See 'mount --help' for help for mount.

Next check where man searches man-pages with
'man -d'. Should be something like:

Reading config file /usr/lib/man.conf
found man directory /usr/man
found man directory /usr/local/man
...

See also 'man --help' for help for man.

HTH, Bernd

> -----Ursprüngliche Nachricht-----
> Von:	Joe Malin [SMTP:[email-masked]]
> Gesendet am:	Mittwoch, 23. Mai 2001 02:25
> An:	CYGWIN Mailing List
> Betreff:	Unable to get MAN pages to work/BASH shell colors
>
> I am unable to get the man pages to work after install the latest CYGWIN.
>
> The man pages are at c:\cygwin\usr\man.
>
> Not being a UNIX type, I am pretty sure that I've done something wrong but
> I'm not sure what it is.
>
> When I type "man cp" in the BASH shell, for instance, I get
> "no manual entry for cp"
> which seems pretty strange to me.
>
> Also the BASH shell is impossible to read.  Any way to get the colors to
> come out a bit better?

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple